Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.command
Class WaitUntilCommand

    java.lang.Object
      edu.wpi.first.wpilibj.command.Command
          edu.wpi.first.wpilibj.command.WaitUntilCommand

All Implemented Interfaces:
  NamedSendable, Sendable

    public class WaitUntilCommand

extends Command

WaitUntilCommand - waits until an absolute game time. This will wait until the game clock reaches some value, then continue to the next command.

Author:
  brad

Constructor Summary
`WaitUntilCommand(double time)`

Method Summary
`void` | `end()` Called when the command ended peacefully.
`void` | `execute()` The execute method is called repeatedly until this Command either finishes or is canceled.
`void` | `initialize()` The initialize method is called the first time this Command is run after being started.
`void` | `interrupted()` Called when the command ends because somebody called `cancel()` or another command shared the same requirements as this one, and booted it out.
`boolean` | `isFinished()` Check if we've reached the actual finish time.

Methods inherited from class edu.wpi.first.wpilibj.command.Command
`cancel, doesRequire, getGroup, getName, getSmartDashboardType, getTable, initTable, isCanceled, isInterruptible, isRunning, isTimedOut, requires, setInterruptible, setRunWhenDisabled, setTimeout, start, timeSinceInitialized, toString, willRunWhenDisabled`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WaitUntilCommand

    public WaitUntilCommand(double time)

Method Detail

### initialize

    public void initialize()

  Description copied from class: `Command`
  The initialize method is called the first time this Command is run after being started.

  Specified by:
    `initialize` in class `Command`

### execute

    public void execute()

  Description copied from class: `Command`
  The execute method is called repeatedly until this Command either finishes or is canceled.

  Specified by:
    `execute` in class `Command`

### isFinished

    public boolean isFinished()

  Check if we've reached the actual finish time.

  Specified by:
    `isFinished` in class `Command`
  Returns:
    whether this command is finished.
  See Also:
    `isTimedOut()`

### end

    public void end()

  Description copied from class: `Command`
  Called when the command ended peacefully. This is where you may want to wrap up loose ends, like shutting off a motor that was being used in the command.

  Specified by:
    `end` in class `Command`

### interrupted

    public void interrupted()

  Description copied from class: `Command`
  Called when the command ends because somebody called `cancel()` or another command shared the same requirements as this one, and booted it out.

  This is where you may want to wrap up loose ends, like shutting off a motor that was being used in the command.

  Generally, it is useful to simply call the `end()` method within this method

  Specified by:
    `interrupted` in class `Command`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"